Name:           maven-dependency-analyzer
Version:        1.3
Release:        1%{?dist}
Summary:        Maven dependency analyzer

License:        ASL 2.0
URL:            http://maven.apache.org/shared/maven-dependency-analyzer/
Source0:        http://repo1.maven.org/maven2/org/apache/maven/shared/%{name}/%{version}/%{name}-%{version}-source-release.zip

BuildRequires:  java-devel
BuildRequires:  jmock
BuildRequires:  jpackage-utils
BuildRequires:  junit
BuildRequires:  maven-plugin-testing-tools
BuildRequires:  xmvn
Requires:       asm2
Requires:       java
Requires:       jpackage-utils
Requires:       maven
Requires:       maven-project
Requires:       plexus-containers-component-annotations
Requires:       plexus-utils

BuildArch:      noarch

%description
Analyzes the dependencies of a project for undeclared or unused artifacts.

Warning: Analysis is not done at source but bytecode level, then some cases are
not detected (constants, annotations with source-only retention, links in
javadoc) which can lead to wrong result if they are the only use of a
dependency.

%package javadoc
Summary:        API documentation for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
%{summary}

%prep
%setup -q


%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE
%dir %{_javadir}/%{name}


%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE

%changelog
* Tue Dec 18 2012 Tomas Radej <tradej@redhat.com> - 1.3-1
- Initial package

